###########################################################################################
sub SetCookies
{

###########################################################################################
# After requiring the cookie-lib.pl library which contains the routines for setting and   #
# reading cookies, this first section sets the necessary cookies within the visitors      #
# browser.                                                                                #
###########################################################################################
# Set the $domain to the domain of the server running this script exactly as shown. Then,
# set the path to the directory of web_store.cgi. If you don't set the path, your cookie
# would be returned to any site on that domain.
###########################################################################################

$cookie{'cart_id'} = "$cart_id";

# Set the domain to be correct for your domain

$domain = $sc_domain_name_for_cookie;
$secureDomain = $sc_secure_domain_name_for_cookie;

# The path to your 'store' directory

$path = $sc_path_for_cookie;
$securePath = $sc_secure_path_for_cookie;

# Leave this as is.

$secure = "";

# Cookie will expire in 24 hours

$now = time;

# Second in twenty four hours

$twenty_four_hours = "86400";

$expiration = $now+$twenty_four_hours;#number of days until cookie expires


if(!$form_data{'secure'})
{
&set_cookie($expiration,$domain,$path,$secure);
}
else
{
&set_cookie($expiration,$secureDomain,$securePath,$secure);
}

} 

############################################################################################

sub StoreHeader
{
 open (HEADER, "$sc_store_header_file");
  while (<HEADER>)
    {
    s/%%pathToImages%%/$path_to_html\/Images/g;
    print $_;
    }
  close (HEADER);
}

############################################################################################

sub StoreFooter
{
 open (FOOTER, "$sc_store_footer_file");
  while (<FOOTER>)
    {
    s/%%pathToImages%%/$path_to_html\/Images/g;
    print $_;
    }
  close (FOOTER);
}

############################################################################################

sub define_shipping_logic

{

$shipping_price = &format_price($shipping_percentage*$subtotal);

return $shipping_price;

}
############################################################################################

sub printSubmitPage

{
local($invoice_number, $customer_number);

$invoice_number = time;
$customer_number = $form_data{'cart_id'};
$customer_number =~ s/_/./g;

print <<ENDOFTEXT;
<INPUT TYPE=HIDDEN NAME=LOGIN VALUE=\"$sc_authorizenet_username\">
<INPUT TYPE=HIDDEN NAME=TYPE VALUE=\"NA\">
<INPUT TYPE=HIDDEN NAME=DISABLERECEIPT VALUE=\"TRUE\">
<INPUT TYPE=HIDDEN NAME=METHOD VALUE=\"$form_data{'07-settlement'}\">
<INPUT TYPE=HIDDEN NAME=INVOICE VALUE=\"$invoice_number\">
<INPUT TYPE=HIDDEN NAME=DESCRIPTION VALUE=\"Commerce.cgi Order\">
<INPUT TYPE=HIDDEN NAME=CUSTID VALUE=\"$customer_number\">
<INPUT TYPE=HIDDEN NAME=NAME VALUE=\"$form_data{'01-name'}\">
<INPUT TYPE=HIDDEN NAME=MEMBER VALUE=\"$form_data{'02-member_id'}\">
<INPUT TYPE=HIDDEN NAME=ADDRESS VALUE=\"$form_data{'03-address'}\">
<INPUT TYPE=HIDDEN NAME=ZIP VALUE=\"$form_data{'04-zip'}\">
<INPUT TYPE=HIDDEN NAME=PHONE VALUE=\"$form_data{'05-phone'}\">
<INPUT TYPE=HIDDEN NAME=EMAIL VALUE=\"$form_data{'06-email'}\">
<!--Shipping Address-->
<INPUT TYPE=HIDDEN NAME=USER6 VALUE=\"$cart_id\">
<INPUT TYPE=HIDDEN NAME=RESPONSECODE VALUE=\"T\">
<INPUT TYPE=HIDDEN NAME=COMMENT VALUE=\"$form_data{'08-comments'}\">


<FONT FACE=ARIAL SIZE=-1>
<CENTER>
<TABLE WIDTH=500 BORDER=0 BGCOLOR=YELLOW>

<TR>
<TD COLSPAN=2>
<FONT FACE=ARIAL SIZE=-1>
<B></B>
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=100>
<FONT FACE=ARIAL SIZE=-1>
Cart ȣ
</FONT>
</TD>
<TD WIDTH=400>
<FONT FACE=ARIAL SIZE=-1>
$form_data{'cart_id'}
</FONT>
</TD>
</TR>
<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>
ֹȣ
</FONT>
</TD>
<TD WIDTH=350>
<FONT FACE=ARIAL SIZE=-1>
$time
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>
̸
</FONT>
</TD>
<TD WIDTH=350>
<FONT FACE=ARIAL SIZE=-1>
$form_data{'01-name'}
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>
Membership_ID
</FONT>
</TD>
<TD WIDTH=350>
<FONT FACE=ARIAL SIZE=-1>
$form_data{'02-member_id'}
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>
E-Mail
</FONT>
</TD>
<TD WIDTH=350>
$form_data{'06-email'}
</TD>
</TR>


<TR>
<TD COLSPAN=2>
<FONT FACE=ARIAL SIZE=-1>
<B> ó</B>
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>
 ּ
</FONT>
</TD>
<TD WIDTH=350>
<FONT FACE=ARIAL SIZE=-1>
$form_data{'03-address'}
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>
ȣ
</FONT>
</TD>
<TD WIDTH=350>
<FONT FACE=ARIAL SIZE=-1>
$form_data{'04-zip'}
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>
ȭȣ
</FONT>
</TD>
<TD WIDTH=350>
<FONT FACE=ARIAL SIZE=-1>
$form_data{'05-phone'}
</FONT>
</TD>
</TR>

<TR>
<TD COLSPAN=2>
<FONT FACE=ARIAL SIZE=-1>
<B>  Ͻ </B>
</FONT>
</TD>
</TR>
<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>

</FONT>
</TD>
<TD WIDTH=350>
<FONT FACE=ARIAL SIZE=-1>
$form_data{'07-settlement'}
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=150>
<FONT FACE=ARIAL SIZE=-1>
Ͻ 
</FONT>
</TD>
<TD WIDTH=350>
<FONT FACE=ARIAL SIZE=-1>
$form_data{'08-comments'}
</FONT>
</TD>
</TR>



<TR>
<TD COLSPAN=2>
<CENTER>
<P>
<INPUT TYPE=SUBMIT VALUE="  ">

<P>
</CENTER>
</TD>
</TR>
</TABLE>
</CENTER>
</FONT>
ENDOFTEXT
}
############################################################################################

sub logOrder {
local($subtotal, $total_quantity,
      $total_measured_quantity,
      $text_of_cart,
      $required_fields_filled_in, $product, $quantity, $options);
                # 
                # First, we output the header of
                # the processing of the order
                # 
print qq!
<HTML>
<HEAD>
<TITLE>Thank you for your order</TITLE>
</HEAD>
</BODY>
!;

&StoreHeader;
                # We display the cart table.
                # This also has the effect of 
                # populating the text_of_cart
                # variable with the ASCII text version
                # of the cart for emailing/logging
                # the order that is being processed.
                # 

$text_of_cart .= "  --PRODUCT INFORMATION--\n\n";

open (CART, "$sc_cart_path") ||
 &file_open_error("$sc_cart_path",
                  "display_cart_contents", __FILE__, __LINE__);
while (<CART>)
	{
	$cartData++;
	@cart_fields = split (/\|/, $_);
	$quantity = $cart_fields[0];
	$product_price = $cart_fields[3];
	$product = $cart_fields[4];
	$options = $cart_fields[6];
	$options =~ s/<br>//g;
	$text_of_cart .= "Quantity:      $quantity\nProduct:       $product $sc_money_symbol $product_price\n";
	$text_of_cart .= "Options:       $options\n\n";
	}
close(CART);

	$text_of_confirm_email .= "θ α׷ ׽Ʈ  ּ̱!   뿡 ϱ Ͽ ׻ ּ ϰ ֽϴ!\n\n";

	$text_of_confirm_email .= $text_of_cart;
	$text_of_confirm_email .= "\n";

	$text_of_cart .= "  --ORDER INFORMATION--\n\n";
	$text_of_cart .= "INVOICE:       $form_data{'INVOICE'}\n";
	$text_of_confirm_email .= "INVOICE:       $form_data{'INVOICE'}\n";

	if ($form_data{'SHIPPING'})
	{
	$text_of_cart .= "SHIPPING:      $form_data{'SHIPPING'}\n";
	$text_of_confirm_email .= "SHIPPING:      $form_data{'SHIPPING'}\n";

	}

	if ($form_data{'DISCOUNT'})
	{
	$text_of_cart .= "DISCOUNT:      $form_data{'DISCOUNT'}\n";
	$text_of_confirm_email .= "DISCOUNT:      $form_data{'DISCOUNT'}\n";
	}

	if ($form_data{'SALESTAX'})
	{
	$text_of_cart .= "SALES TAX:     $form_data{'SALESTAX'}\n";
	$text_of_confirm_email .= "SALES TAX:     $form_data{'SALESTAX'}\n";
	}

	$text_of_cart .= "TOTAL:         $form_data{'AMOUNT'}\n";
	$text_of_confirm_email .= "TOTAL:         $form_data{'AMOUNT'}\n";
	$text_of_cart .= "METHOD:        $form_data{'METHOD'}\n";
	$text_of_cart .= "DESCRIPTION:   $form_data{'DESCRIPTION'}\n";
	$text_of_cart .= "CUSTID:        $form_data{'CUSTID'}\n";
	$text_of_cart .= "NAME:          $form_data{'NAME'}\n";
	$text_of_cart .= "ADDRESS:       $form_data{'ADDRESS'}\n";
	$text_of_cart .= "ZIP:           $form_data{'ZIP'}\n";
	$text_of_cart .= "PHONE:         $form_data{'PHONE'}\n";
	$text_of_cart .= "EMAIL:         $form_data{'EMAIL'}\n";
	$text_of_cart .= "COMMENT:         $form_data{'COMMENT'}\n";
            $text_of_cart .= "USER6:         $form_data{'USER6'}\n";
	
  if ($sc_use_pgp =~ /yes/i) {
    &require_supporting_libraries(__FILE__, __LINE__,
      "$sc_pgp_lib_path");
  $text_of_cart = &make_pgp_file($text_of_cart,
                  "$sc_pgp_temp_file_path/$$.pgp");
  $text_of_cart = "\n" . $text_of_cart . "\n";
  }

                # 
                # Now that we have the text of the cart
                # all together. We check the required
                # form fields from the previous form
                # to see if they were filled in by the user
                # 
                # $required_fields_filled_in is set to "yes"
                # and remains this way until any ONE 
                # required field is missing -- at which
                # point it is set to no.
                # 

                # Since the required fields were
                # filled in correctly, we process
                # the rest of the order
                # 
                # 

  if ($sc_send_order_to_email =~ /yes/i) {
    &send_mail($sc_order_email,$sc_order_email,
               "Commerce.cgi Order", $text_of_cart);
  }

                # If we are sending the order to
                # a log file. Then, we use the following
                # routine to append to the log file
                # specified in the setup.
                # 
                # The entries in the log file
                # are separated by two lines of
                # 40 hyphens ("-" x 40)
                # 

  if ($sc_send_order_to_log =~ /yes/i) {
    open (ORDERLOG, "+>>./Admin_files/$sc_order_log_name");
    print ORDERLOG "-" x 60 . "\n";
    print ORDERLOG $text_of_cart;
    print ORDERLOG "-" x 60 . "\n";
    close (ORDERLOG);
  }

                # The user is notified that the order
                # was a success

if ($cartData)
{
&send_mail($sc_admin_email, $form_data{'EMAIL'}, "Thank you for your order!", "$text_of_confirm_email");
}
####### Visa     Ѵ  #####

if($form_data{'METHOD'} eq "Credit") {
print <<ENDOFTEXT;
 <SCRIPT LANGUAGE=JavaScript>
<!-- JavaScript
function openWindow(url, mid, oid, amount, ret_url) 

 {
     var   R_URL="";
	var child=null;

	R_URL = url+"?mid="+mid+"&oid="+oid+"&amount="+amount+"&ret_url="+ret_url;

	child = window.open(R_URL, "Window", "width=700,height=460,menubar,status,scrollbars");
	return;
}
// - JavaScript - -->
</SCRIPT>
<CENTER>
<p><br>
[<A HREF=# OnClick="openWindow('https://shopworld.shopfinder.net/newpay/cgi-bin/tcard_info', 'Test1', '$form_data{'INVOICE'}', '$form_data{'AMOUNT'}', 'http://www.huntec.net/useful');">
ſī Է</A>]
<BR>
<tt><font SIZE=2 COLOR=$b_fontcolor> ( δ Ʈ ׽Ʈ  ,  SSLȣȭϿ մϴ.)
</font></tt>
</CENTER>
<pre>








</pre>

ENDOFTEXT

}
##################### Visa  쿡 شϴ IF  

elsif($form_data{'METHOD'} eq "Bank") {  
print <<ENDOFTEXT;
<CENTER>
<TABLE WIDTH=500>
<TR>
<TD WIDTH=500>
<FONT FACE=ARIAL>
OO 000-0000-0000 ԱϽø Ȯ  ó 帮ڽϴ.<br>
<P>&nbsp;</P>
[<a href=commerce.cgi> </a>]
<P>&nbsp;</P>
<P>&nbsp;</P>
</FONT>
</TD>
</TR>
</TABLE>
<CENTER>  

ENDOFTEXT
}

elsif($form_data{'METHOD'} eq "Giro") {  
print <<ENDOFTEXT;
<CENTER>
<TABLE WIDTH=500>
<TR>
<TD WIDTH=500>
<FONT FACE=ARIAL>
̳  ġ ǥ(ιȣ:00000000) ̿Ͽ Ͽ ֽø  ó 帮ڽϴ.<br>
<P>&nbsp;</P>
[<a href=commerce.cgi> </a>]
<P>&nbsp;</P>
<P>&nbsp;</P>
</FONT>
</TD>
</TR>
</TABLE>
<CENTER>  

ENDOFTEXT
}


else{
print <<ENDOFTEXT;
<CENTER>
<TABLE WIDTH=500>
<TR>
<TD WIDTH=500>
<FONT FACE=ARIAL>
ֹ ּż մϴ.  ãֽø ϰڽϴ.<br>
<P>&nbsp;</P>
[<a href=commerce.cgi> </a>]
<P>&nbsp;</P>
<P>&nbsp;</P>
</FONT>
</TD>
</TR>
</TABLE>
<CENTER>  

ENDOFTEXT
}


# This empties the cart after the order is successful

open (CART, ">$sc_cart_path");
close (CART);

# and the footer is printed

&StoreFooter;

print qq!
</BODY>
</HTML>
!;

} # End of process_order_form


1;